Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::dangling Struct Reference
Range

## Description

A placeholder for an iterator or a sentinel into a range that may no longer be valid.

## Public Member Functions
template<typename T >
constexpr | dangling (T &&)
| Implicit converting constructor; ignores argument. More...

## Constructor & Destructor Documentation

## ◆ dangling()

template<typename T >

constexpr ranges::dangling::dangling | ( | T && |  | ) |
| constexpr

Implicit converting constructor; ignores argument.

Precondition
  requires `not_same_as_<T, dangling>`